package model

type OrdItemInfo struct {
	Id        int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	ItemId    string `json:"item_id" xorm:"not null default '' comment('商品id') index VARCHAR(100)"`
	Pvd       string `json:"pvd" xorm:"not null default '' comment('供应商') VARCHAR(32)"`
	Thumbnail string `json:"thumbnail" xorm:"not null default '' comment('缩略图URL') VARCHAR(2000)"`
	ItemTitle string `json:"item_title" xorm:"not null default '' comment('标题') VARCHAR(256)"`
	ItemLink  string `json:"item_link" xorm:"not null default '' comment('商品链接') VARCHAR(2000)"`
	NumItemId string `json:"num_item_id" xorm:"not null default '' comment('商品链接') VARCHAR(2000)"`
}
