package taobao

import (
	"encoding/json"

	"applet/app/utils"
)

// 搜索关键词提醒
func SearchTips(keyword string) []string {
	var res []string
	tipsUrl := "https://suggest.taobao.com/sug?code=utf-8&q=" + keyword
	r, err := utils.CurlGet(tipsUrl, nil)
	if err != nil {
		return res
	}
	var tmp struct {
		Result [][]string `json:"result"`
	}
	if err = json.Unmarshal(r, &tmp); err != nil {
		return res
	}
	for _, v := range tmp.Result {
		res = append(res, v[0])
	}
	return res
}
