package svc

import (
	"applet/app/md"
	"applet/app/utils"
	"errors"
	"time"
	"xorm.io/xorm"
)

var PrivilegeOpenCardSessFailErr = errors.New("privilege open card order session fail")

func ReduceCoupon(Db *xorm.Engine, masterId, profit string, uid int, goodsId, pvd, pvdType string, createAt int, goodsTitle, oid string) int {
	var tmp = &md.CouponCheck{
		CouponAmount:  profit,
		Uid:           utils.IntToStr(uid),
		PvdType:       pvdType,
		Pvd:           pvd,
		Gid:           goodsId,
		CheckAmount:   "1",
		IsMustReduce:  "1",
		IsChangeState: "1",
		GoodsTitle:    goodsTitle,
		Oid:           oid,
	}
	if createAt > 0 {
		tmp.CreateAt = time.Unix(int64(createAt), 0).Format("2006-01-02 15:04:05")
	}
	bools := ApiToReduceCoupon(masterId, tmp)

	return bools

}
