package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

func TikTokTeamOrderRelateDeleteByOid(Db *xorm.Engine, oid int64, pvd string) (int64, error) {
	_, err := Db.Where("oid=? and pvd=?", oid, pvd).Delete(model.TikTokTeamOrderRelate{})
	if err != nil {
		return 0, err
	}
	return 1, nil
}
func TikTokTeamOrderOrderRelateListByOid(Db *xorm.Engine, oid int64, pvd string) ([]*model.TikTokTeamOrderRelate, error) {
	var ol []*model.TikTokTeamOrderRelate
	err := Db.Where("oid=? and pvd=?", oid, pvd).Find(&ol)
	if err != nil {
		return nil, logx.Error(err)
	}
	return ol, nil
}
func GetTikTokTeamOrderOrdCoinRelateById(Db *xorm.Engine, id string, uid int) *[]model.TikTokTeamOrderRelate {
	var items []model.TikTokTeamOrderRelate
	err := Db.Where("oid = ? and uid=?", id, uid).Find(&items)
	if err != nil {
		return nil
	}
	return &items
}
