package model

type PlacardRecord struct {
	Id      int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid     int    `json:"uid" xorm:"default 0 comment('用户') INT(11)"`
	Phone   string `json:"phone" xorm:"default '' comment('手机号') VARCHAR(100)"`
	Content string `json:"content" xorm:"default '' comment('内容') VARCHAR(255)"`
	Time    int    `json:"time" xorm:"default 0 INT(11)"`
	IsXuni  int    `json:"is_xuni" xorm:"default 0 comment('是否虚拟信息') INT(1)"`
	Price   string `json:"price" xorm:"default 0.00 comment('金额') DECIMAL(10,2)"`
	Type    string `json:"type" xorm:"default '' comment('公告类型') VARCHAR(50)"`
	Data    string `json:"data" xorm:"comment('预留') TEXT"`
}
