package model

import (
	"time"
)

type UserDeleteInfo struct {
	Id             int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	User           string    `json:"user" xorm:"LONGTEXT"`
	UserProfile    string    `json:"user_profile" xorm:"LONGTEXT"`
	UserRelate     string    `json:"user_relate" xorm:"LONGTEXT"`
	NextUserRelate string    `json:"next_user_relate" xorm:"LONGTEXT"`
	Uid            int       `json:"uid" xorm:"default 0 INT(11)"`
	Phone          string    `json:"phone" xorm:"default '' varchar(255)"`
	Time           time.Time `json:"time" xorm:"default '0000-00-00 00:00:00' DATETIME"`
}
