package taobao

import "github.com/gin-gonic/gin"

//TaoBaoArgs is args
type TaoBaoArgs struct {
	Keyword             string
	Biz                 string
	PageIndex           string
	PageSize            string
	Sort                string
	StartPrice          string
	EndPrice            string
	IsTmall             string
	IsCoupon            string
	StartCommissionRate string
	Sesssion            string
	EndCommissionRate   string
	Uid                 string
}

// TaoBaoSearchList is return taobao search list
func (t *TB) TaoBaoSearchList(c *gin.Context, args TaoBaoArgs) (*[]Material, error) {
	list, err := t.SearchList(c,
		args,
	)
	if err != nil {
		return nil, err
	}
	return list, nil
}

// TaoBaoSearchList is return taobao search list
func (t *TB) TaoBaoFeaturedList(c *gin.Context, args TaoBaoArgs) (*[]TBFeatureStruct, error) {
	list, err := t.FeaturedList(c,
		args,
	)
	if err != nil {
		return nil, err
	}
	return list, nil
}
