package zhimeng

import (
	"applet/app/md"
	"applet/app/utils/logx"
	"encoding/json"
	"strconv"
)

//联盟转链
func MeituanLmConvertUrl(appkey, appsecret string, isShare int, user *md.User, actId, linkType, apiType string) (*md.OfficialRecommendUrl, error) {
	args := map[string]interface{}{
		"appkey":     appkey,
		"secret_key": appsecret,
		"act_id":     actId,
		"zuid":       strconv.Itoa(user.Info.Uid),
		"is_share":   strconv.Itoa(isShare),
		"link_type":  linkType,
	}
	var resp []byte
	var err error
	if apiType == "1" {
		resp, err = Send("meituan_lm", "applet_qrcode", args)
	} else {
		resp, err = Send("meituan_lm", "act", args)
	}
	if err != nil {
		return nil, logx.Warn(err)
	}
	var tmp struct {
		Data struct {
			Url string `json:"url"` //到店
		} `json:"data"`
	}

	if err = json.Unmarshal(resp, &tmp); err != nil {
		return nil, logx.Warn("resp: " + string(resp) + ", err:" + err.Error())
	}
	appId := "wxde8ac0a21135c07d"
	id := "gh_870576f3c6f9"
	if actId == "22" || actId == "24" || actId == "23" || actId == "29" {
		appId = "wx77af438b3505c00e"
		id = "gh_84b9766b95bc"
	}

	return &md.OfficialRecommendUrl{
		Url:               tmp.Data.Url,
		WxQrcodeUrl:       "",
		Appid:             appId,
		Id:                id,
		WxMiniprogramPath: tmp.Data.Url,
	}, nil
}
