package md

type LvCss struct {
	Icon      string `json:"icon"`
	Id        string `json:"id"`
	Name      string `json:"name"`
	IconUrl   string `json:"icon_url"`
	BgColor   string `json:"bg_color"`
	BgImg     string `json:"bg_img"`
	BgImgUrl  string `json:"bg_img_url"`
	BgType    string `json:"bg_type"`
	FontColor string `json:"font_color"`
}
type MyFootMarkModule struct {
	AppBarName              string `json:"app_bar_name"`
	AppBarNameColor         string `json:"app_bar_name_color"`
	AppBarBgImg             string `json:"app_bar_bg_img"`
	AppBarBgColor           string `json:"app_bar_bg_color"`
	AppBarRightText         string `json:"app_bar_right_text"`
	AppBarRightTextColor    string `json:"app_bar_right_text_color"`
	AppBarRightEditingText  string `json:"app_bar_right_editing_text"`
	AppBarRightEditingColor string `json:"app_bar_right_editing_color"`
	SearchBarIcon           string `json:"search_bar_icon"`
	SearchBarText           string `json:"search_bar_text"`
	SearchBarTextColor      string `json:"search_bar_text_color"`
	SearchBarBgColor        string `json:"search_bar_bg_color"`
	TabLineColor            string `json:"tab_line_color"`
	TabItemNotFoundImg      string `json:"tab_item_not_found_img"`
	TabNameColor            string `json:"tab_name_color"`
	TabNameSelectedColor    string `json:"tab_name_selected_color"`
	GoodsListId             string `json:"goods_list_id"`
	TabList                 []struct {
		Type string `json:"type"`
		Name string `json:"name"`
	} `json:"tab_list"`
	ListStyle             map[string]interface{} `json:"list_style"`
	EditLeftConfirmIcon   string                 `json:"edit_left_confirm_icon"`
	EditLeftNoConfirmIcon string                 `json:"edit_left_no_confirm_icon"`
	Bottom                struct {
		BgColor    string `json:"bg_color"`
		LeftText   string `json:"left_text"`
		LeftColor  string `json:"left_color"`
		RightText  string `json:"right_text"`
		RightColor string `json:"right_color"`
	} `json:"bottom"`
	ConfirmDialog struct {
		BgText          string `json:"bg_text"`
		BgTextColor     string `json:"bg_text_color"`
		BgColor         string `json:"bg_color"`
		LeftText        string `json:"left_text"`
		LeftTextColor   string `json:"left_text_color"`
		LeftBtnBgColor  string `json:"left_btn_bg_color"`
		RightText       string `json:"right_text"`
		RightTextColor  string `json:"right_text_color"`
		RightBtnBgColor string `json:"right_btn_bg_color"`
	} `json:"confirm_dialog"`
}
type MyFavModule struct {
	AppBarName              string `json:"app_bar_name"`
	AppBarNameColor         string `json:"app_bar_name_color"`
	AppBarBgImg             string `json:"app_bar_bg_img"`
	AppBarBgColor           string `json:"app_bar_bg_color"`
	AppBarRightText         string `json:"app_bar_right_text"`
	AppBarRightTextColor    string `json:"app_bar_right_text_color"`
	AppBarRightEditingText  string `json:"app_bar_right_editing_text"`
	AppBarRightEditingColor string `json:"app_bar_right_editing_color"`
	SearchBarIcon           string `json:"search_bar_icon"`
	SearchBarText           string `json:"search_bar_text"`
	SearchBarTextColor      string `json:"search_bar_text_color"`
	SearchBarBgColor        string `json:"search_bar_bg_color"`
	TabLineColor            string `json:"tab_line_color"`
	TabItemNotFoundImg      string `json:"tab_item_not_found_img"`
	TabNameColor            string `json:"tab_name_color"`
	TabNameSelectedColor    string `json:"tab_name_selected_color"`
	TabList                 []struct {
		Type string `json:"type"`
		Name string `json:"name"`
	} `json:"tab_list"`
	GoodsListId           string                 `json:"goods_list_id"`
	ListStyle             map[string]interface{} `json:"list_style"`
	EditLeftConfirmIcon   string                 `json:"edit_left_confirm_icon"`
	EditLeftNoConfirmIcon string                 `json:"edit_left_no_confirm_icon"`
	Bottom                struct {
		BgColor    string `json:"bg_color"`
		LeftText   string `json:"left_text"`
		LeftColor  string `json:"left_color"`
		RightText  string `json:"right_text"`
		RightColor string `json:"right_color"`
	} `json:"bottom"`
	ConfirmDialog struct {
		BgText          string `json:"bg_text"`
		BgTextColor     string `json:"bg_text_color"`
		BgColor         string `json:"bg_color"`
		LeftText        string `json:"left_text"`
		LeftTextColor   string `json:"left_text_color"`
		LeftBtnBgColor  string `json:"left_btn_bg_color"`
		RightText       string `json:"right_text"`
		RightTextColor  string `json:"right_text_color"`
		RightBtnBgColor string `json:"right_btn_bg_color"`
	} `json:"confirm_dialog"`
}

type CarouselFriend struct {
	Name   string `json:"name"`
	Pic    string `json:"pic"`
	PicURL string `json:"pic_url"`
	Skip   struct {
		CateTag            string      `json:"cate_tag"`
		Data               CommModData `json:"data"`
		IsEnd              string      `json:"is_end"`
		IsJump             string      `json:"is_jump"`
		Name               string      `json:"name"`
		RequiredLogin      string      `json:"required_login"`
		RequiredTaobaoAuth string      `json:"required_taobao_auth"`
		SkipIdentifier     string      `json:"skip_identifier"`
		SkipName           string      `json:"skip_name"`
		URL                string      `json:"url"`
	} `json:"skip"`
	Sort int64 `json:"sort"`
}
type BottomNav struct {
	BgColor            string      `json:"bg_color"`
	CateTag            string      `json:"cate_tag"`
	ChooseColor        string      `json:"choose_color"`
	ChooseIcon         string      `json:"choose_icon"`
	ChooseIconImg      string      `json:"choose_icon_img"`
	Data               interface{} `json:"data"`
	FontColor          string      `json:"font_color"`
	Icon               string      `json:"icon"`
	IconImg            string      `json:"icon_img"`
	ID                 string      `json:"id"`
	IsJump             string      `json:"is_jump"`
	IsShow             string      `json:"is_show"`
	IsBulge            string      `json:"is_bulge"`
	AutoShow           string      `json:"auto_show"`
	IsToApp            string      `json:"is_to_app"`
	Name               string      `json:"name"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	Type               string      `json:"type"`
	Url                string      `json:"url"`
}

//公共data数据
type CommModData struct {
	LinkName         string            `json:"link_name"`
	AdvInfo          string            `json:"adv_info"`
	StoreId          string            `json:"store_id"`
	Url              string            `json:"url"`
	AppId            string            `json:"app_id"`
	AlipayUrl        string            `json:"alipay_url"`
	AlipayAppid      string            `json:"alipay_appid"`
	ActivityId       string            `json:"activity_id"`
	Id               string            `json:"id"`
	AdName           string            `json:"ad_name"`
	AndroidAdID      string            `json:"android_ad_id"`
	AndroidMediaID   string            `json:"android_media_id"`
	AutoClickAd      string            `json:"auto_click_ad"`
	Autoplay         string            `json:"autoplay"`
	BrandID          string            `json:"brand_id"`
	Conditions       string            `json:"conditions"`
	CreateAt         string            `json:"create_at"`
	EndTime          string            `json:"end_time"`
	Img              string            `json:"img"`
	IosAdID          string            `json:"ios_ad_id"`
	IosMediaID       string            `json:"ios_media_id"`
	IsRecommend      interface{}       `json:"is_recommend"`
	LevelLimitID     string            `json:"level_limit_id"`
	LevelLimitName   string            `json:"level_limit_name"`
	LevelWeight      string            `json:"level_weight"`
	NeedLocation     int64             `json:"need_location"`
	SdkType          string            `json:"sdk_type"`
	AdvType          string            `json:"adv_type"`
	Type             string            `json:"type"`
	SourceType       string            `json:"source_type"`
	StartTime        string            `json:"start_time"`
	UpdateAt         string            `json:"update_at"`
	VisitCount       string            `json:"visit_count"`
	IsCanBuy         string            `json:"is_can_buy"`
	IsShowCouponList string            `json:"is_show_coupon_list"`
	UserCouponAmount string            `json:"user_coupon_amount"`
	Coupon           string            `json:"coupon"`
	CountingDown     string            `json:"counting_down" `
	FunctionSkipType string            `json:"function_skip_type"`
	OpenType         string            `json:"open_type" ` //app 应用内打开  browser 系统浏览器打开
	GoodsId          string            `json:"goods_id"`
	GoodsType        string            `json:"goods_type"`
	FromCoinId       string            `json:"from_coin_id"`
	ToCoinId         string            `json:"to_coin_id"`
	LevelType        string            `json:"level_type"`
	TransferType     string            `json:"transfer_type"`
	CoinId           string            `json:"coin_id"`
	ChannelId        string            `json:"channel_id"`
	SecretKey        string            `json:"secret_key"`
	OrderType        string            `json:"order_type"`
	Platform         string            `json:"platform"`
	SecondAdvList    AdvCommModData    `json:"second_adv_list"`
	ThirdAdvList     AdvCommModData    `json:"third_adv_list"`
	HwData           map[string]string `json:"hw_data"`
	//IsShowConditionPop string      `json:"is_show_condition_pop"`
	//ShowConditionStr   string      `json:"show_condition_str"`
	//ShowConditionSkip  SkipData    `json:"show_condition_skip"`
}

//公共data数据
type AdvCommModData struct {
	Id             string `json:"id"`
	AdName         string `json:"ad_name"`
	AndroidAdID    string `json:"android_ad_id"`
	AndroidMediaID string `json:"android_media_id"`
	AutoClickAd    string `json:"auto_click_ad"`
	Autoplay       string `json:"autoplay"`
	IosAdID        string `json:"ios_ad_id"`
	IosMediaID     string `json:"ios_media_id"`
	SdkType        string `json:"sdk_type"`
	AdvType        string `json:"adv_type"`
}
type SkipData struct {
	SkipName           string      `json:"skip_name"`
	Name               string      `json:"name"`
	SkipIdentifier     string      `json:"skip_identifier"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	IsJump             string      `json:"is_jump"`
	Url                string      `json:"url"`
	Data               CommModData `json:"data"`
}
type NextCommModData struct {
	LinkName         string      `json:"link_name"`
	FromCoinId       string      `json:"from_coin_id"`
	ToCoinId         string      `json:"to_coin_id"`
	Url              string      `json:"url"`
	AppId            string      `json:"app_id"`
	StoreId          string      `json:"store_id"`
	AlipayUrl        string      `json:"alipay_url"`
	AlipayAppid      string      `json:"alipay_appid"`
	ActivityId       string      `json:"activity_id"`
	Id               string      `json:"id"`
	AdName           string      `json:"ad_name"`
	AndroidAdID      string      `json:"android_ad_id"`
	AndroidMediaID   string      `json:"android_media_id"`
	AutoClickAd      string      `json:"auto_click_ad"`
	Autoplay         string      `json:"autoplay"`
	BrandID          string      `json:"brand_id"`
	Conditions       string      `json:"conditions"`
	CreateAt         string      `json:"create_at"`
	EndTime          string      `json:"end_time"`
	Img              string      `json:"img"`
	IosAdID          string      `json:"ios_ad_id"`
	IosMediaID       string      `json:"ios_media_id"`
	IsRecommend      interface{} `json:"is_recommend"`
	LevelLimitID     string      `json:"level_limit_id"`
	LevelLimitName   string      `json:"level_limit_name"`
	LevelWeight      string      `json:"level_weight"`
	NeedLocation     int64       `json:"need_location"`
	SdkType          string      `json:"sdk_type"`
	SourceType       string      `json:"source_type"`
	StartTime        string      `json:"start_time"`
	UpdateAt         string      `json:"update_at"`
	VisitCount       string      `json:"visit_count"`
	CountingDown     string      `json:"counting_down" `
	LevelType        string      `json:"level_type"`
	OpenType         string      `json:"open_type" ` //app 应用内打开  browser 系统浏览器打开
	FunctionSkipType string      `json:"function_skip_type"`
	ChannelId        string      `json:"channel_id"`
	SecretKey        string      `json:"secret_key"`
	OrderType        string      `json:"order_type"`
	Platform         string      `json:"platform"`
}

//多眼导航
type MultiNav struct {
	CateName           string      `json:"cate_name"`
	CateTag            string      `json:"cate_tag"`
	Data               CommModData `json:"data"`
	ID                 string      `json:"id"`
	Img                string      `json:"img"`
	ImgURL             string      `json:"img_url"`
	Index              int64       `json:"index"`
	IsEnd              string      `json:"is_end"`
	IsJump             string      `json:"is_jump"`
	Name               string      `json:"name"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	RightIcon          string      `json:"right_icon"`
	RightIconURL       string      `json:"right_icon_url"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	SubTitle           string      `json:"sub_title"`
	Title              string      `json:"title"`
	TypeListKey        string      `json:"type_list_key"`
	URL                string      `json:"url"`
	SubCate            MultiNavSub `json:"sub_cate"`
}
type TaskList struct {
	Title         string   `json:"title"`
	TitleColor    string   `json:"title_color"`
	SubTitleColor string   `json:"sub_title_color"`
	SubTitle      string   `json:"sub_title"`
	Icon          string   `json:"icon"`
	IconUrl       string   `json:"icon_url"`
	BtnTitle      string   `json:"btn_title"`
	SkipData      SkipData `json:"skip_data"`
}
type FeaturesCate struct {
	Title              string      `json:"title"`
	Img                string      `json:"img"`
	Idx                int         `json:"idx"`
	Data               CommModData `json:"data"`
	ImgUrl             string      `json:"img_url"`
	SubTitle           string      `json:"sub_title"`
	IsShow             string      `json:"is_show"`
	RightIcon          string      `json:"right_icon"`
	RightIconUrl       string      `json:"right_icon_url"`
	SkipIdentifier     string      `json:"skip_identifier"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	IsJump             string      `json:"is_jump"`
	CateTag            string      `json:"cate_tag"`
	SkipName           string      `json:"skip_name"`
	URL                string      `json:"url"`
}

type MultiNavSub struct {
	IsShow                  string                 `json:"is_show"`
	BgColor                 string                 `json:"bg_color"`
	BottomLeftRadius        string                 `json:"bottom_left_radius"`
	BottomRightRadius       string                 `json:"bottom_right_radius"`
	ColumSize               int                    `json:"colum_size"`
	IsLeftRightMargin       string                 `json:"is_left_right_margin"`
	IsShowSubTitle          string                 `json:"is_show_sub_title"`
	IsTopMargin             string                 `json:"is_top_margin"`
	LeftRightMargin         string                 `json:"left_right_margin"`
	Pagination              string                 `json:"pagination"`
	PaginationSelectColor   string                 `json:"pagination_select_color"`
	PaginationUnselectColor string                 `json:"pagination_unselect_color"`
	RowSize                 string                 `json:"row_size"`
	SubTitleColor           string                 `json:"sub_title_color"`
	TitleColor              string                 `json:"title_color"`
	TopLeftRadius           string                 `json:"top_left_radius"`
	TopMargin               string                 `json:"top_margin"`
	TopRightRadius          string                 `json:"top_right_radius"`
	IconSize                string                 `json:"icon_size"`
	ModuleTitleColor        string                 `json:"module_title_color"`
	ModuleTitleName         string                 `json:"module_title_name"`
	IsShowCornerIcon        string                 `json:"is_show_corner_icon"`
	ListStyle               []MultiNavSubListStyle `json:"list_style"`
}
type MultiNavSubListStyle struct {
	CateName           string      `json:"cate_name"`
	CateTag            string      `json:"cate_tag"`
	Data               CommModData `json:"data"`
	ID                 string      `json:"id"`
	Img                string      `json:"img"`
	ImgURL             string      `json:"img_url"`
	Index              int64       `json:"index"`
	IsEnd              string      `json:"is_end"`
	IsJump             string      `json:"is_jump"`
	Name               string      `json:"name"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	RightIcon          string      `json:"right_icon"`
	RightIconURL       string      `json:"right_icon_url"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	SubTitle           string      `json:"sub_title"`
	Title              string      `json:"title"`
	TypeListKey        string      `json:"type_list_key"`
	URL                string      `json:"url"`
}

//幻灯片
type Carousel struct {
	BgColor            string      `json:"bg_color"`
	BgImg              string      `json:"bg_img"`
	BgImgURL           string      `json:"bg_img_url"`
	CateTag            string      `json:"cate_tag"`
	Data               CommModData `json:"data"`
	ID                 string      `json:"id"`
	Img                string      `json:"img"`
	ImgURL             string      `json:"img_url"`
	Index              int64       `json:"index"`
	IsJump             string      `json:"is_jump"`
	IsShow             string      `json:"is_show"`
	Name               string      `json:"name"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	Url                string      `json:"url"`
}

//广告位
type Banner struct {
	CateTag            string      `json:"cate_tag"`
	ID                 string      `json:"id"`
	Img                string      `json:"img"`
	ImgURL             string      `json:"img_url"`
	IsJump             string      `json:"is_jump"`
	LocationName       string      `json:"location_name"`
	LocationType       string      `json:"location_type"`
	Name               string      `json:"name"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	Url                string      `json:"url"`
	Data               CommModData `json:"data"`
}
type ModCommRequestParam struct {
	SkipIdentifier string `json:"skipIdentifier"`
	ActivityId     string `json:"activityId"`
	SourceType     string `json:"sourceType"`
	LevelWeight    string `json:"levelWeight"`
	Conditions     string `json:"conditions"`
	Id             string `json:"id"`
}
type ModCommReturnParam struct {
	IsShow         string            `json:"is_show"`
	SkipIdentifier string            `json:"skipIdentifier"`
	AppId          string            `json:"appId"`
	Id             string            `json:"id"`
	Url            string            `json:"url"`
	SecondAdvList  AdvCommModData    `json:"second_adv_list"`
	ThirdAdvList   AdvCommModData    `json:"third_adv_list"`
	HwData         map[string]string `json:"hw_data"`
	IsHw           string            `json:"is_hw"`
}

//幻灯片
type PushDialog struct {
	CateTag            string      `json:"cate_tag"`
	Data               CommModData `json:"data"`
	IsJump             string      `json:"is_jump"`
	Name               string      `json:"name"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	Url                string      `json:"url"`
}

type SearchIconList struct {
	Icon           string `json:"icon"`
	Name           string `json:"name"`
	ShowType       string `json:"show_type"`
	SkipIdentifier string `json:"skip_identifier"`
	Type           string `json:"type"`
	WithIconColor  string `json:"with_icon_color"`
}
type MallMemberEarnCard struct {
	SubTitle           string      `json:"sub_title"`
	BgImg              string      `json:"bg_img"`
	BgImgURL           string      `json:"bg_img_url"`
	DataSourceID       string      `json:"data_source_id"`
	IsShow             string      `json:"is_show"`
	IsJump             string      `json:"is_jump"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	Data               CommModData `json:"data"`
	Title              string      `json:"title"`
	TitleColor         string      `json:"title_color"`
	ValColor           string      `json:"val_color"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	URL                string      `json:"url"`
}
type MemberNewEarning struct {
	CateTag            string      `json:"cate_tag"`
	IsJump             string      `json:"is_jump"`
	Name               string      `json:"name"`
	NumColor           string      `json:"num_color"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	SkipIdentifier     string      `json:"skip_identifier"`
	SkipName           string      `json:"skip_name"`
	TextColor          string      `json:"text_color"`
	Type               string      `json:"type"`
	TypeName           string      `json:"type_name"`
	Data               CommModData `json:"data"`
}
type MemberNewEarningBtn struct {
	BtnText            string      `json:"btn_text"`
	BtnTextColor       string      `json:"btn_text_color"`
	SkipIdentifier     string      `json:"skip_identifier"`
	RequiredLogin      string      `json:"required_login"`
	RequiredTaobaoAuth string      `json:"required_taobao_auth"`
	SkipName           string      `json:"skip_name"`
	Data               CommModData `json:"data"`
}
type ProvidersNew struct {
	Index             interface{} `json:"index"`
	Type              string      `json:"type"`
	PlatformName      string      `json:"platform_name"`
	ProviderNameColor string      `json:"provider_name_color"`
	ProviderBgColor   string      `json:"provider_bg_color"`
	ProviderImg       string      `json:"provider_img"`
	ProviderImgUrl    string      `json:"provider_img_url"`
}
type SearchIconResultList struct {
	Icon            string `json:"icon"`
	LineSelectColor string `json:"line_select_color"`
	ModList         []struct {
		CommissionBgColor   string `json:"commission_bg_color"`
		CommissionFontColor string `json:"commission_font_color"`
		CoupinIcon          string `json:"coupin_icon"`
		CoupinIconWithColor string `json:"coupin_icon_with_color"`
		CouponBgColor       string `json:"coupon_bg_color"`
		CouponFontColor     string `json:"coupon_font_color"`
		CurrentPriceColor   string `json:"current_price_color"`
		ItemBgColor         string `json:"item_bg_color"`
		LayoutIcon1         string `json:"layout_icon_1"`
		LayoutIcon2         string `json:"layout_icon_2"`
		MarketPriceColor    string `json:"market_price_color"`
		ShopIcon            string `json:"shop_icon"`
		ShopNameColor       string `json:"shop_name_color"`
		SortList            []struct {
			Name       string `json:"name"`
			SelectList []struct {
				Name      string `json:"name"`
				NameColor string `json:"name_color"`
				QueryArgs string `json:"query_args"`
			} `json:"select_list"`
		} `json:"sort_list"`
		TextNoSelectColor string `json:"text_no_select_color"`
		TextSelectColor   string `json:"text_select_color"`
	} `json:"mod_list"`
	Name            string `json:"name"`
	NameColor       string `json:"name_color"`
	NameSelectColor string `json:"name_select_color"`
	Type            string `json:"type"`
	WithIconColor   string `json:"with_icon_color"`
}

//公告
type Placard struct {
	CateTag            string `json:"cate_tag"`
	ContentText        string `json:"content_text"`
	Index              int64  `json:"index"`
	IsJump             string `json:"is_jump"`
	IsToApp            string `json:"is_to_app"`
	Name               string `json:"name"`
	RequiredLogin      string `json:"required_login"`
	RequiredTaobaoAuth string `json:"required_taobao_auth"`
	SkipIdentifier     string `json:"skip_identifier"`
	SkipName           string `json:"skip_name"`
}
type MemberIntegral struct {
	BgColor           string   `json:"bg_color"`
	BottomLeftRadius  string   `json:"bottom_left_radius"`
	BottomRightRadius string   `json:"bottom_right_radius"`
	BtnBgColor        string   `json:"btn_bg_color"`
	BtnFontColor      string   `json:"btn_font_color"`
	BtnSubBgColor     string   `json:"btn_sub_bg_color"`
	Desc              string   `json:"desc"`
	Ico               string   `json:"ico"`
	IcoURL            string   `json:"ico_url"`
	IsLeftRightMargin string   `json:"is_left_right_margin"`
	IsShow            string   `json:"is_show"`
	IsTopMargin       string   `json:"is_top_margin"`
	LeftRightMargin   string   `json:"left_right_margin"`
	ModuleKey         string   `json:"module_key"`
	ModuleType        string   `json:"module_type"`
	Name              string   `json:"name"`
	Skip              SkipData `json:"skip"`
	ValueSkip         SkipData `json:"value_skip"`
	Title             string   `json:"title"`
	BtnStr            string   `json:"btn_str"`
	SubSkip           SkipData `json:"sub_skip"`
	SubTitle          string   `json:"sub_title"`
	SubBtnStr         string   `json:"sub_btn_str"`
	TitleColor        string   `json:"title_color"`
	TopLeftRadius     string   `json:"top_left_radius"`
	TopMargin         string   `json:"top_margin"`
	TopRightRadius    string   `json:"top_right_radius"`
	Type              string   `json:"type"`
	ValueColor        string   `json:"value_color"`
}

type RecommendList struct {
	CssType       string      `json:"css_type"`
	Type          string      `json:"type"`
	CardType      interface{} `json:"card_type"`
	ImgAdList     interface{} `json:"img_ad_list"`
	ImgAdPosition string      `json:"img_ad_position"`
	ImgAdType     string      `json:"img_ad_type"`
	Index         int         `json:"index"`
	IsShowImgAd   string      `json:"is_show_img_ad"`
	IsShowSort    string      `json:"is_show_sort"`
	ListColumn    string      `json:"list_column"`
	Title         string      `json:"title"`
	SortList      interface{} `json:"sort_list"`
	Data          interface{} `json:"data"`
	ListStyle     interface{} `json:"list_style"`
	Pvd           string      `json:"pvd"`
}

type SortList struct {
	Type       string           `json:"type"`
	Name       string           `json:"name"`
	Icon1      string           `json:"icon_1"`
	Icon2      string           `json:"icon_2"`
	Icon3      string           `json:"icon_3"`
	SelectList []SortSelectList `json:"select_list"`
}
type SortSelectList struct {
	Name    string `json:"name"`
	Type    string `json:"type"`
	SubType string `json:"sub_type"`
}

type MemberToolItem struct {
	Name               string   `json:"name"`
	Desc               string   `json:"desc"`
	Title              string   `json:"title"`
	Skip               SkipData `json:"skip"`
	ModuleType         string   `json:"module_type"`
	ModuleKey          string   `json:"module_key"`
	IsTopMargin        string   `json:"is_top_margin"`
	IsLeftRightMargin  string   `json:"is_left_right_margin"`
	IsShow             string   `json:"is_show"`
	TopMargin          string   `json:"top_margin"`
	LeftRightMargin    string   `json:"left_right_margin"`
	TopLeftRadius      string   `json:"top_left_radius"`
	TopRightRadius     string   `json:"top_right_radius"`
	BottomLeftRadius   string   `json:"bottom_left_radius"`
	BottomRightRadius  string   `json:"bottom_right_radius"`
	BgColor            string   `json:"bg_color"`
	LeftIcon           string   `json:"left_icon"`
	LeftIconUrl        string   `json:"left_icon_url"`
	TitleColor         string   `json:"title_color"`
	RightIcon          string   `json:"right_icon"`
	RightIconUrl       string   `json:"right_icon_url"`
	SecondRightIcon    string   `json:"second_right_icon"`
	SecondRightIconUrl string   `json:"second_right_icon_url"`
	BgType             string   `json:"bg_type"`
	BgImg              string   `json:"bg_img"`
	BgImgUrl           string   `json:"bg_img_url"`
}
type AppbarMemberInfoData struct {
	Name              string        `json:"name"`
	Desc              string        `json:"desc"`
	Skip              []interface{} `json:"skip"`
	Status            string        `json:"status"`
	ModuleType        string        `json:"module_type"`
	ModuleKey         string        `json:"module_key"`
	IsTopMargin       string        `json:"is_top_margin"`
	IsLeftRightMargin string        `json:"is_left_right_margin"`
	IsShow            string        `json:"is_show"`
	TopMargin         string        `json:"top_margin"`
	LeftRightMargin   string        `json:"left_right_margin"`
	TopLeftRadius     string        `json:"top_left_radius"`
	TopRightRadius    string        `json:"top_right_radius"`
	BottomLeftRadius  string        `json:"bottom_left_radius"`
	BottomRightRadius string        `json:"bottom_right_radius"`
	BgColor           string        `json:"bg_color"`
	ListStyle         []struct {
		Name               string      `json:"name"`
		Icon               string      `json:"icon"`
		IconUrl            string      `json:"icon_url"`
		RequiredLogin      string      `json:"required_login"`
		RequiredTaobaoAuth string      `json:"required_taobao_auth"`
		SkipIdentifier     string      `json:"skip_identifier"`
		SkipName           string      `json:"skip_name"`
		IsJump             string      `json:"is_jump"`
		IsToApp            string      `json:"is_to_app"`
		CateTag            string      `json:"cate_tag"`
		Data               CommModData `json:"data"`
	} `json:"list_style"`
	ThemeType           string `json:"theme_type"`
	ThemeColor          string `json:"theme_color"`
	AssistColor         string `json:"assist_color"`
	BgImage             string `json:"bg_image"`
	BgImageUrl          string `json:"bg_image_url"`
	LvBgType            string `json:"lv_bg_type"`
	LvBgColor           string `json:"lv_bg_color"`
	LvBgImage           string `json:"lv_bg_image"`
	LvBgImageUrl        string `json:"lv_bg_image_url"`
	LvNameColor         string `json:"lv_name_color"`
	InvitedCodeColor    string `json:"invited_code_color"`
	CoypeIcon           string `json:"coype_icon"`
	CoypeIconUrl        string `json:"coype_icon_url"`
	LoginName           string `json:"login_name"`
	LoginNameHelpText   string `json:"login_name_help_text"`
	NonLginAvatar       string `json:"non_lgin_avatar"`
	NonLginAvatarUrl    string `json:"non_lgin_avatar_url"`
	UserNameColor       string `json:"user_name_color"`
	MoreUrl             string `json:"more_url"`
	InvitedCodeShow     string `json:"invited_code_show"`
	AppBarBgColor       string `json:"app_bar_bg_color"`
	AppBarName          string `json:"app_bar_name"`
	AppBarNameColor     string `json:"app_bar_name_color"`
	RequiredLogin       int    `json:"required_login"`
	RequiredTaobaoAuth  int    `json:"required_taobao_auth"`
	SkipIdentifier      string `json:"skip_identifier"`
	LvTopLeftRadius     string `json:"lv_top_left_radius"`
	LvTopRightRadius    string `json:"lv_top_right_radius"`
	LvBottomLeftRadius  string `json:"lv_bottom_left_radius"`
	LvBottomRightRadius string `json:"lv_bottom_right_radius"`
	LevelList           []struct {
		Icon      string `json:"icon"`
		Id        string `json:"id"`
		Name      string `json:"name"`
		IconUrl   string `json:"icon_url"`
		BgColor   string `json:"bg_color"`
		BgImg     string `json:"bg_img"`
		BgImgUrl  string `json:"bg_img_url"`
		BgType    string `json:"bg_type"`
		FontColor string `json:"font_color"`
	} `json:"level_list"`
}
type MemberInfoData struct {
	Name   string `json:"name"`
	Desc   string `json:"desc"`
	Status string `json:"status"`
	Skip   struct {
		Id                 string      `json:"id"`
		Type               string      `json:"type"`
		SkipIdentifier     string      `json:"skip_identifier"`
		RequiredLogin      string      `json:"required_login"`
		RequiredTaobaoAuth string      `json:"required_taobao_auth"`
		IsJump             string      `json:"is_jump"`
		CateTag            string      `json:"cate_tag"`
		SkipName           string      `json:"skip_name"`
		IsToApp            string      `json:"is_to_app"`
		Data               CommModData `json:"data"`
	} `json:"skip"`
	AmountInfo struct {
		Text       string `json:"text"`
		ValColor   string `json:"val_color"`
		TextColor  string `json:"text_color"`
		SourceType string `json:"source_type"`
	} `json:"amount_info"`
	CashBtn struct {
		BtnText            string      `json:"btn_text"`
		BtnTextColor       string      `json:"btn_text_color"`
		BtnBgColor         string      `json:"btn_bg_color"`
		RequiredLogin      string      `json:"required_login"`
		RequiredTaobaoAuth string      `json:"required_taobao_auth"`
		SkipIdentifier     string      `json:"skip_identifier"`
		SkipName           string      `json:"skip_name"`
		Data               CommModData `json:"data"`
	} `json:"cash_btn"`
	ModuleType          string `json:"module_type"`
	ModuleKey           string `json:"module_key"`
	IsTopMargin         string `json:"is_top_margin"`
	IsLeftRightMargin   string `json:"is_left_right_margin"`
	IsShow              string `json:"is_show"`
	TopMargin           string `json:"top_margin"`
	LeftRightMargin     string `json:"left_right_margin"`
	TopLeftRadius       string `json:"top_left_radius"`
	TopRightRadius      string `json:"top_right_radius"`
	BottomLeftRadius    string `json:"bottom_left_radius"`
	BottomRightRadius   string `json:"bottom_right_radius"`
	BgColor             string `json:"bg_color"`
	ThemeType           string `json:"theme_type"`
	ThemeColor          string `json:"theme_color"`
	AssistColor         string `json:"assist_color"`
	BgImage             string `json:"bg_image"`
	BgImageUrl          string `json:"bg_image_url"`
	LvBgType            string `json:"lv_bg_type"`
	LvBgColor           string `json:"lv_bg_color"`
	LvBgImage           string `json:"lv_bg_image"`
	LvBgImageUrl        string `json:"lv_bg_image_url"`
	LvNameColor         string `json:"lv_name_color"`
	InvitedCodeColor    string `json:"invited_code_color"`
	CoypeIcon           string `json:"coype_icon"`
	CoypeIconUrl        string `json:"coype_icon_url"`
	LoginName           string `json:"login_name"`
	LoginNameHelpText   string `json:"login_name_help_text"`
	NonLginAvatar       string `json:"non_lgin_avatar"`
	NonLginAvatarUrl    string `json:"non_lgin_avatar_url"`
	UserNameColor       string `json:"user_name_color"`
	RequiredLogin       int    `json:"required_login"`
	RequiredTaobaoAuth  int    `json:"required_taobao_auth"`
	SkipIdentifier      string `json:"skip_identifier"`
	SkipName            string `json:"skip_name"`
	InvitedCodeShow     string `json:"invited_code_show"`
	MoreUrl             string `json:"more_url"`
	LvTopLeftRadius     string `json:"lv_top_left_radius"`
	LvTopRightRadius    string `json:"lv_top_right_radius"`
	LvBottomLeftRadius  string `json:"lv_bottom_left_radius"`
	LvBottomRightRadius string `json:"lv_bottom_right_radius"`
	LevelList           []struct {
		Icon      string `json:"icon"`
		Id        string `json:"id"`
		Name      string `json:"name"`
		IconUrl   string `json:"icon_url"`
		BgColor   string `json:"bg_color"`
		BgImg     string `json:"bg_img"`
		BgImgUrl  string `json:"bg_img_url"`
		BgType    string `json:"bg_type"`
		FontColor string `json:"font_color"`
	} `json:"level_list"`
}
type ModuleBySubsidyPopData struct {
	IsOpen           string   `json:"is_open"`
	BgImg            string   `json:"bg_img"`
	BgImgUrl         string   `json:"bg_img_url"`
	TitleColor       string   `json:"title_color"`
	Title            string   `json:"title"`
	SubTitleColor    string   `json:"sub_title_color"`
	SubTitle         string   `json:"sub_title"`
	LeftBtnIcon      string   `json:"left_btn_icon"`
	LeftBtnIconUrl   string   `json:"left_btn_icon_url"`
	LeftBtnStrColor  string   `json:"left_btn_str_color"`
	LeftBtnStr       string   `json:"left_btn_str"`
	RightBtnIcon     string   `json:"right_btn_icon"`
	RightBtnIconUrl  string   `json:"right_btn_icon_url"`
	RightBtnStrColor string   `json:"right_btn_str_color"`
	RightBtnStr      string   `json:"right_btn_str"`
	SkipData         SkipData `json:"skip_data"`
}
