package md

const (
	PVD_TB                 = "taobao"
	PVD_TIKTOK             = "tikTok"
	PVD_ELM                = "ele"
	PVD_TIKTOKOwn          = "tikTokOwn"
	PVD_TIKTOKOwnCreate    = "tikTokOwnCreate"
	PVD_KuaishouOwn        = "kuaishouOwn"
	PVD_KuaishouOwnCreate  = "kuaishouOwnCreate"
	PVD_TIKTOKOwnActivity  = "tikTokOwnActivity"
	PVD_TIKTOKOwnMix       = "tikTokOwnMix"
	PVD_KUAISHOU           = "kuaishou"
	PVD_TIKTOKLIVE         = "tikTok_live"
	PVD_TIKTOKLIFE         = "tikTok_life"
	PVD_TIKTOKOWNLIVE      = "tikTok_live_own"
	PVD_KUAISHOULIVE       = "kuaishou_live"
	PVD_TBBYCREATETIME     = "tb_by_create_time"
	PVD_TBBYPAY            = "tb_by_pay"
	PVD_TB12               = "tb12"
	PVD_TB13               = "tb13"
	PVD_TB14               = "tb14"
	PVD_TB3                = "tb3"
	PVD_TBBYSETTLE         = "tb_by_settle"
	PVD_JD                 = "jd"
	PVD_JDOwn              = "jd_own"
	PVD_JDUNIONOWN         = "jd_union_own"
	PVD_PDDUNIONOWN        = "pdd_union_own"
	PVD_JDUNIONOWNUPDATE   = "jd_union_own_update"
	PVD_SN                 = "suning"
	PVD_VIP                = "vip"
	PVD_PDD                = "pdd"
	PVD_PDDBYCREATETIME    = "pdd_by_create_time"
	PVD_PDDBYSTATUS        = "pdd_by_status"
	PVD_PDDBYSTATUSSUCCESS = "pdd_by_status_success"
	PVD_PDDBYSTATUSFAIL    = "pdd_by_status_fail"
	PVD_JDBYSTATUS         = "jd_by_status"
	PVD_JDBYCREATETIME     = "jd_by_create_time"
	PVD_JDBYSUCCESS        = "jd_by_success"
	PVD_JDFAILBYCREATETIME = "jd_fail_by_create_time"
	PVD_PDDBYAGOTIME       = "pdd_by_ago_time"
	PVD_KL                 = "kaola"
	PVD_TM                 = "tmall"
	PVD_DTK                = "dataoke"
	PVD_HDK                = "haodanku"
	PVD_HDKTB              = "haodanku_tb"
	PVD_HDKTM              = "haodanku_tm"
	PVD_JTT                = "jingtuitui"
	// 特殊活动免单方案
	PVD_FREE           = "free"
	PVD_MEITUAN        = "meituan"
	PVD_MEITUANLM      = "meituan_lm"
	PVD_MEITUANLMSTART = "meituan_lm_start"

	PVD_MEITUANSTART       = "meituan_start"
	PVD_STATIONMEITUANLM   = "station_meituan_lm"
	PVD_STARBUCKS          = "starbucks"
	PVD_HWMOVIE            = "hw_movie"
	PVD_MCDONALD           = "mcdonald"
	PVD_NAYUKI             = "nayuki"
	PVD_BURGERKING         = "burger_king"
	PVD_HEYTEA             = "heytea"
	PVD_PIZZA              = "pizza"
	PVD_WALLACE            = "wallace"
	PVD_TOURISM            = "tourism"
	PVD_NEAR               = "near"
	PVD_FLOWERCAKE         = "flowerCake"
	PVD_DELIVERY           = "delivery"
	PVD_TO_KFC             = "to_kfc"
	PVD_PAGODA             = "pagoda"
	PVD_LUCKIN             = "luckin"
	PVD_OILSTATION         = "oil"
	PVD_BRIGHTOILSTATION   = "bright_oil"
	PVD_KFC                = "kfc"
	PVD_CINEMA             = "cinema"
	PVD_CREDIT_CARD        = "credit_card"
	PVD_CARD_REFUND        = "card_refund"         //权益卡退款
	PVD_CARD               = "privilege_card"      //权益卡
	PVD_RECHARGE           = "recharge"            //权益卡
	PVD_LIANLIAN_PAY       = "lianlian_pay"        //权益卡
	PVD_USER_LV_UP         = "userlvup"            //会员费用
	PVD_OPEN_CARD          = "privilege_open_card" // 权益卡开卡
	PVD_DUOMAI             = "duomai"              // 多麦
	PVD_GUIDE              = "GUIDE"               //导购
	PVD_SELF_MALL          = "SELF_MALL"           //自营
	PVD_O2O                = "O2O"                 //O2O
	PVD_REGIONAL_AGENT_PAY = "regional_agent_pay"  //O2O
	PVD_COMMON             = "COMMON"              //COMMON
	PVD_DIDI_ENERGY        = "didi_energy"         //滴滴
	PVD_T3_CAR             = "to_t3car"            //滴滴
	PVD_DIDI_ONLINE_CAR    = "didi_online_car"     //滴滴
	PVD_KING_FLOWER        = "king_flower"         //滴滴
	PVD_DIDI_FREIGHT       = "didi_freight"        //滴滴
	PVD_DIDI_CHAUFFEUR     = "didi_chauffeur"      //滴滴
	PVD_COUPON_OIL         = "OIL"                 //优惠券赠送加油模块额度
	PVD_COUPON_CARD        = "CARD"                //优惠券赠送权益卡模块额度
	PVD_NEW_CINEMA         = "new_cinema"          //新电影票
	PVD_MALL_GOODS_USER_LV = "mall_goods_user_lv"  // 自营商品升级礼包订单返佣
	PVD_GROUP_BUY          = "mall_group_buy"      // 拼团未中奖返佣
	PVD_MALL_GOODS         = "mall_goods"          // 自营商品订单返佣

)

var PVD_LIST = map[string]string{
	PVD_TB:                 "淘宝",
	PVD_TBBYCREATETIME:     "淘宝",
	PVD_TBBYPAY:            "淘宝",
	PVD_TB12:               "淘宝",
	PVD_TB13:               "淘宝",
	PVD_TB14:               "淘宝",
	PVD_TB3:                "淘宝",
	PVD_TIKTOKOwn:          "抖音",
	PVD_TIKTOKOwnCreate:    "抖音",
	PVD_KuaishouOwn:        "快手",
	PVD_KuaishouOwnCreate:  "快手",
	PVD_TIKTOKOWNLIVE:      "抖音",
	PVD_TIKTOKLIFE:         "抖音",
	PVD_TBBYSETTLE:         "淘宝",
	PVD_JD:                 "京东",
	PVD_SN:                 "苏宁",
	PVD_VIP:                "唯品会",
	PVD_PDD:                "拼多多",
	PVD_JDBYCREATETIME:     "京东",
	PVD_JDUNIONOWN:         "京东",
	PVD_JDUNIONOWNUPDATE:   "京东",
	PVD_JDOwn:              "京东",
	PVD_JDFAILBYCREATETIME: "京东",
	PVD_PDDBYCREATETIME:    "拼多多",
	PVD_PDDBYAGOTIME:       "拼多多",
	PVD_KL:                 "考拉",
	PVD_CREDIT_CARD:        "信用卡",
	PVD_TM:                 "天猫",
	PVD_USER_LV_UP:         "会员升级",
	PVD_CARD_REFUND:        "权益卡退款",
	PVD_CARD:               "权益卡",
	PVD_MEITUAN:            "美团",
	PVD_OILSTATION:         "加油",
	PVD_BRIGHTOILSTATION:   "加油",
	PVD_KFC:                "肯德基",
	PVD_CINEMA:             "电影票",
	"ele":                  "饿了么",
	"elmNew":               "饿了么",
	"user_lv_up":           "会员升级",
	PVD_GUIDE:              "导购",  //导购
	PVD_SELF_MALL:          "自营",  //自营
	PVD_O2O:                "O2O", //O2O
	PVD_STARBUCKS:          "星巴克",
	PVD_MCDONALD:           "麦当劳",
	PVD_TO_KFC:             "肯德基",
	PVD_PAGODA:             "百果园",
	PVD_LUCKIN:             "瑞幸咖啡",
	PVD_KING_FLOWER:        "花小猪",
	PVD_DIDI_CHAUFFEUR:     "滴滴代驾",
	PVD_TIKTOK:             "抖音",
	"csjp":                 "抖音",
	"csjp_live":            "抖音",
	PVD_KUAISHOU:           "快手",
	PVD_TIKTOKLIVE:         "抖音直播商品",
	PVD_KUAISHOULIVE:       "快手直播商品",
}

var PVD_LIST_ICON = map[string]string{
	PVD_TB:               "provider-square-icon-taobao.png",
	PVD_JD:               "provider-square-icon-jd.png",
	PVD_SN:               "provider-square-icon-suning.png",
	PVD_VIP:              "provider-square-icon-vip.png",
	PVD_PDD:              "provider-square-icon-pdd.png",
	PVD_KL:               "provider-square-icon-kaola.png",
	PVD_TIKTOK:           "provider-square-icon-tikTok.png",
	PVD_KUAISHOU:         "detail-shop-icon-kuaishou.png",
	PVD_MEITUAN:          "provider-square-icon-meituan_new.png",
	PVD_MEITUANLM:        "provider-square-icon-meituan_new.png",
	PVD_OILSTATION:       "provider-square-icon-oil_new.png",
	PVD_BRIGHTOILSTATION: "provider-square-icon-oil_new.png",
	PVD_KFC:              "provider-square-icon-kfc_new.png",
	PVD_CINEMA:           "provider-square-icon-cinema_new.png",
	"ele":                "provider-square-icon-ele.png",
	"elmNew":             "provider-square-icon-ele.png",
	PVD_STARBUCKS:        "provider-square-icon-starbucks.png",
	PVD_MCDONALD:         "provider-square-icon-mcdonald.png",
	PVD_TO_KFC:           "provider-square-icon-kfc_new.png",
	PVD_PAGODA:           "provider-square-icon-pagoda1.png",
	PVD_LUCKIN:           "provider-square-icon-luckin1.png",
	PVD_NAYUKI:           "provider-square-icon-nayuki.png",
	PVD_BURGERKING:       "provider-square-icon-burger_king.png",
	"express":            "provider-square-icon-express.png",
	PVD_HEYTEA:           "provider-square-icon-heytea.png",
	PVD_PIZZA:            "provider-square-icon-pizza.png",
	PVD_WALLACE:          "provider-square-icon-wallace.png",
	PVD_TOURISM:          "provider-square-icon-tourism.png",
	PVD_NEAR:             "provider-square-icon-near.png",
	PVD_FLOWERCAKE:       "provider-square-icon-flowerCake.png",
	PVD_DELIVERY:         "provider-square-icon-delivery.png",
	PVD_DIDI_FREIGHT:     "provider-square-icon-didi_freight.png",
	PVD_DIDI_ONLINE_CAR:  "provider-square-icon-online_car.png",
	PVD_DIDI_CHAUFFEUR:   "provider-square-icon-didi_chauffeur.png",
}

var ZHIMENG_CFG_LIST = []string{KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_WEB_ID}

var PVD_CFG_LIST = map[string][]string{
	PVD_TB: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TBBYCREATETIME: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TBBYPAY: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TB12: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TB13: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TB14: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TB3: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_TBBYSETTLE: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_JDBYCREATETIME:     {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_JDBYSUCCESS:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_JDFAILBYCREATETIME: {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_JD:                 {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_VIP:                {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDD:                {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDDBYCREATETIME:    {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDDBYAGOTIME:       {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDDBYSTATUSSUCCESS: {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDDBYSTATUSFAIL:    {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_SN:                 {KEY_CFG_SN_AK, KEY_CFG_SN_SK},
	PVD_KL:                 {KEY_CFG_KL_AK, KEY_CFG_KL_SK},
	PVD_MEITUAN:            {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_TIKTOKLIVE:         {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_TIKTOK:             {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_TIKTOKOwn:          {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_TIKTOKOwnCreate:    {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KuaishouOwn:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KuaishouOwnCreate:  {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_TIKTOKOWNLIVE:      {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KUAISHOULIVE:       {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KUAISHOU:           {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_OILSTATION:         {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_BRIGHTOILSTATION:   {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KFC:                {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_CINEMA:             {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
}
var MEITUAN_LIST = map[string]string{
	"22": "85",  //美团联盟优选活动
	"23": "105", //美团联盟优选1.99活动
	"24": "86",  //美团联盟优选秒杀活动
	"29": "85",  //美团联盟优选新人活动页
	"2":  "2",   //美团联盟外卖活动
	"4":  "4",   //美团联盟闪购活动
	"7":  "128", //美团联盟酒店活动
	"31": "31",  //美团联盟外卖-城市活动
	"33": "33",  //美团联盟美团外卖(新)
}
